    
 <?php   
     /* This script demonstrates file upload to LOB columns   
      * The formfield used for this example looks like this   
      * <form action="upload.php3" method="post" enctype="multipart/form-data">   
      * <input type="file" name="lob_upload">   
      * ...   
      */   
   if(!isset($lob_upload) || $lob_upload == 'none'){  
 ?>  
 <form action="upload.php3" method="post" enctype="multipart/form-data">  
 Upload file: <input type="file" name="lob_upload"><br>  
 <input type="submit" value="Upload"> - <input type="reset">  
 </form>  
 <?php  
   } else {  
      // $lob_upload contains the temporary filename of the uploaded file  
      $conn = OCILogon($user, $password);  
      $lob = OCINewDescriptor($conn, OCI_D_LOB);  
      $stmt = OCIParse($conn,"insert into $table (id, the_blob) values(my_seq.NEXTVAL, EMPTY_BLOB()) returning the_blob into :the_blob");  
      OCIBindByName($stmt, ':the_blob', &$lob, -1, OCI_B_BLOB);  
      OCIExecute($stmt);  
      if($lob->savefile($lob_upload)){  
         OCICommit($conn);  
         echo "Blob successfully uploaded\n";  
      }else{  
         echo "Couldn't upload Blob\n";  
      }  
      OCIFreeDescriptor($lob);  
      OCIFreeStatement($stmt);  
      OCILogoff($conn);  
   }  
 ?>  
    
