// htmlclr.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "htmlclr.h"


BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
    }
    return TRUE;
}


// This function return information about plugin
void APIENTRY Get_Plug_Info(PPlugInfo Info)
{

	
        strcat(Info->Name,"Get HTML Color");
	strcat(Info->Menu_Text,"HTML Elements\\&HTML Color"); 
			//place our menu in Sub Menu
	Info->Ver_Hi=1;
	Info->Ver_Lo=0;
	Info->Plugin_Type=PT_STD;//Returning type of our Plugin
							 //look in plugins.h for more detail
}

// Execute plugin
BOOL APIENTRY Exec_Plugin(HWND hwnd,lppEditorCommand Edit_Proc,LPSTR Edit_Text,LPSTR Out_Text,LONG *Out_Size)
{
	static DWORD argbCust[16] = {
		RGB(123,123,123),
		RGB(123,123,123),
		RGB(123,123,123),
		RGB(123,123,123),
		RGB(123,123,123),
		RGB(123,123,123),
		RGB(123,123,123),
		RGB(123,123,123),
		RGB(123,123,123),
		RGB(123,123,123),
		RGB(123,123,123),RGB(123,123,123),
		RGB(123,123,123),RGB(123,123,123),
		RGB(123,123,123),RGB(123,123,123)
	};//custom colors
								
	CHOOSECOLOR MyColor;
	char OutHexColor[20];
	memset(&MyColor, 0, sizeof(CHOOSECOLOR));	
	
	MyColor.lStructSize=sizeof(CHOOSECOLOR);
	MyColor.Flags=CC_ANYCOLOR | CC_FULLOPEN;
	MyColor.hwndOwner=hwnd;
	MyColor.lpCustColors=argbCust;
	
	if (ChooseColor(&MyColor))
	{
		
		sprintf(OutHexColor,"COLOR=#%02X%02X%02X",
		GetRValue(MyColor.rgbResult),
		GetGValue(MyColor.rgbResult),
		GetBValue(MyColor.rgbResult));
		*Out_Size=0;
		
		//Inserting Text in curent cursor position
		Edit_Proc(ecImeStr,0,OutHexColor);
		return true;
	} else 
	{
		return false;
	}
}
